Attending
List players you have watched play
Returns players who appeared in any event you attended, filterable by league, team, and name. Includes both photo variants when available.
GET
/
v1
/
attending
/
players
List players you have watched play
curl --request GET \
--url https://api.rewind.rest/v1/attending/players \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rewind.rest/v1/attending/players', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.rewind.rest/v1/attending/players"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 42,
"league": "mlb",
"mlb_stats_id": 663728,
"espn_id": "41292",
"full_name": "Cal Raleigh",
"primary_position": "C",
"primary_number": "29",
"birth_date": "1996-11-26",
"birth_city": "Harrisonburg",
"birth_state_province": "VA",
"birth_country": "USA",
"height": "6' 2\"",
"weight": 235,
"bats": "B",
"throws": "R",
"primary_team": {
"id": 136,
"league": "mlb",
"abbreviation": "SEA",
"location": "Seattle",
"name": "Mariners",
"full_name": "Seattle Mariners",
"primary_color": "#0C2C56",
"secondary_color": "#005C5C",
"tertiary_color": null,
"ui_tint_color": "#0C2C56",
"logo_url": "https://www.mlbstatic.com/team-logos/136.svg",
"logo_dark_url": "https://www.mlbstatic.com/team-logos/team-cap-on-dark/136.svg",
"logo_light_url": "https://www.mlbstatic.com/team-logos/team-cap-on-light/136.svg",
"conference": "AL",
"division": "AL West"
},
"debut_date": "2021-07-11",
"college_name": "Florida State",
"awards": [
{
"season": "2025",
"id": "ALSS",
"name": "AL Silver Slugger"
}
],
"photo_silo": {
"cdn_url": "https://cdn.rewind.rest/.../players/silo/123",
"thumbhash": "<string>",
"dominant_color": "#1a3a6c",
"accent_color": "#c4ced4"
},
"photo_full": {
"cdn_url": "https://cdn.rewind.rest/.../players/silo/123",
"thumbhash": "<string>",
"dominant_color": "#1a3a6c",
"accent_color": "#c4ced4"
}
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 150,
"total_pages": 8
}
}{
"error": "Not found",
"status": 404
}Authorizations
Query Parameters
⌘I
List players you have watched play
curl --request GET \
--url https://api.rewind.rest/v1/attending/players \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rewind.rest/v1/attending/players', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.rewind.rest/v1/attending/players"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 42,
"league": "mlb",
"mlb_stats_id": 663728,
"espn_id": "41292",
"full_name": "Cal Raleigh",
"primary_position": "C",
"primary_number": "29",
"birth_date": "1996-11-26",
"birth_city": "Harrisonburg",
"birth_state_province": "VA",
"birth_country": "USA",
"height": "6' 2\"",
"weight": 235,
"bats": "B",
"throws": "R",
"primary_team": {
"id": 136,
"league": "mlb",
"abbreviation": "SEA",
"location": "Seattle",
"name": "Mariners",
"full_name": "Seattle Mariners",
"primary_color": "#0C2C56",
"secondary_color": "#005C5C",
"tertiary_color": null,
"ui_tint_color": "#0C2C56",
"logo_url": "https://www.mlbstatic.com/team-logos/136.svg",
"logo_dark_url": "https://www.mlbstatic.com/team-logos/team-cap-on-dark/136.svg",
"logo_light_url": "https://www.mlbstatic.com/team-logos/team-cap-on-light/136.svg",
"conference": "AL",
"division": "AL West"
},
"debut_date": "2021-07-11",
"college_name": "Florida State",
"awards": [
{
"season": "2025",
"id": "ALSS",
"name": "AL Silver Slugger"
}
],
"photo_silo": {
"cdn_url": "https://cdn.rewind.rest/.../players/silo/123",
"thumbhash": "<string>",
"dominant_color": "#1a3a6c",
"accent_color": "#c4ced4"
},
"photo_full": {
"cdn_url": "https://cdn.rewind.rest/.../players/silo/123",
"thumbhash": "<string>",
"dominant_color": "#1a3a6c",
"accent_color": "#c4ced4"
}
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 150,
"total_pages": 8
}
}{
"error": "Not found",
"status": 404
}